package projectzombie.inventory.recipe;

import projectzombie.inventory.Inventory;
import projectzombie.inventory.Crafting;
import projectzombie.util.math.ItemStack;

public abstract class Recipe
{
	public abstract ItemStack getResult();
	public abstract boolean canCraft(Crafting tool);
	public abstract boolean hasResourcesToCraft(Inventory inventory);
	public abstract ItemStack craftResult(Inventory inventory);
}
